VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX:
[legend]

## Public Member Functions

CmdProcessCommandsInfoNVX (ObjectTableNVX objectTable_=ObjectTableNVX(), IndirectCommandsLayoutNVX indirectCommandsLayout_=IndirectCommandsLayoutNVX(), uint32_t indirectCommandsTokenCount_=0, const IndirectCommandsTokenNVX *pIndirectCommandsTokens_=nullptr, uint32_t maxSequencesCount_=0, CommandBuffer targetCommandBuffer_=CommandBuffer(), Buffer sequencesCountBuffer_=Buffer(), DeviceSize sequencesCountOffset_=0, Buffer sequencesIndexBuffer_=Buffer(), DeviceSize sequencesIndexOffset_=0)

| CmdProcessCommandsInfoNVX (VkCmdProcessCommandsInfoNVX const &rhs)
CmdProcessCommandsInfoNVX & | operator= (VkCmdProcessCommandsInfoNVX const &rhs)
CmdProcessCommandsInfoNVX & | setPNext (const void *pNext_)
CmdProcessCommandsInfoNVX & | setObjectTable (ObjectTableNVX objectTable_)
CmdProcessCommandsInfoNVX & | setIndirectCommandsLayout (IndirectCommandsLayoutNVX indirectCommandsLayout_)
CmdProcessCommandsInfoNVX & | setIndirectCommandsTokenCount (uint32_t indirectCommandsTokenCount_)
CmdProcessCommandsInfoNVX & | setPIndirectCommandsTokens (const IndirectCommandsTokenNVX *pIndirectCommandsTokens_)
CmdProcessCommandsInfoNVX & | setMaxSequencesCount (uint32_t maxSequencesCount_)
CmdProcessCommandsInfoNVX & | setTargetCommandBuffer (CommandBuffer targetCommandBuffer_)
CmdProcessCommandsInfoNVX & | setSequencesCountBuffer (Buffer sequencesCountBuffer_)
CmdProcessCommandsInfoNVX & | setSequencesCountOffset (DeviceSize sequencesCountOffset_)
CmdProcessCommandsInfoNVX & | setSequencesIndexBuffer (Buffer sequencesIndexBuffer_)
CmdProcessCommandsInfoNVX & | setSequencesIndexOffset (DeviceSize sequencesIndexOffset_)
| operator VkCmdProcessCommandsInfoNVX const & () const
| operator VkCmdProcessCommandsInfoNVX & ()
bool | operator== (CmdProcessCommandsInfoNVX const &rhs) const
bool | operator!= (CmdProcessCommandsInfoNVX const &rhs) const

## Data Fields

const void * | pNext = nullptr
ObjectTableNVX | objectTable
IndirectCommandsLayoutNVX | indirectCommandsLayout
uint32_t | indirectCommandsTokenCount
const IndirectCommandsTokenNVX * | pIndirectCommandsTokens
uint32_t | maxSequencesCount
CommandBuffer | targetCommandBuffer
Buffer | sequencesCountBuffer
DeviceSize | sequencesCountOffset
Buffer | sequencesIndexBuffer
DeviceSize | sequencesIndexOffset

## Private Attributes

StructureType | sType = StructureType::eCmdProcessCommandsInfoNVX

## Detailed Description

Definition at line 47102 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CmdProcessCommandsInfoNVX() [1/2]

VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::CmdProcessCommandsInfoNVX | ( | ObjectTableNVX | objectTable_ = `ObjectTableNVX()`,
|  | IndirectCommandsLayoutNVX | indirectCommandsLayout_ = `IndirectCommandsLayoutNVX()`,
|  | uint32_t | indirectCommandsTokenCount_ = `0`,
|  | const IndirectCommandsTokenNVX * | pIndirectCommandsTokens_ = `nullptr`,
|  | uint32_t | maxSequencesCount_ = `0`,
|  | CommandBuffer | targetCommandBuffer_ = `CommandBuffer()`,
|  | Buffer | sequencesCountBuffer_ = `Buffer()`,
|  | DeviceSize | sequencesCountOffset_ = `0`,
|  | Buffer | sequencesIndexBuffer_ = `Buffer()`,
|  | DeviceSize | sequencesIndexOffset_ = `0`
| ) |  |

inline

Definition at line 47104 of file vulkan.hpp.

: objectTable( objectTable_ )
, indirectCommandsLayout( indirectCommandsLayout_ )
, indirectCommandsTokenCount( indirectCommandsTokenCount_ )
, pIndirectCommandsTokens( pIndirectCommandsTokens_ )
, maxSequencesCount( maxSequencesCount_ )
, targetCommandBuffer( targetCommandBuffer_ )
, sequencesCountBuffer( sequencesCountBuffer_ )
, sequencesCountOffset( sequencesCountOffset_ )
, sequencesIndexBuffer( sequencesIndexBuffer_ )
, sequencesIndexOffset( sequencesIndexOffset_ )
{
}

## CmdProcessCommandsInfoNVX() [2/2]

VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::CmdProcessCommandsInfoNVX | ( | VkCmdProcessCommandsInfoNVX const & | rhs | ) |

inline

Definition at line 47127 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CmdProcessCommandsInfoNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkCmdProcessCommandsInfoNVX &()

VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator VkCmdProcessCommandsInfoNVX & | ( |  | ) |

inline

Definition at line 47208 of file vulkan.hpp.

{
return *reinterpret_cast<VkCmdProcessCommandsInfoNVX*>(this);
}

## operator VkCmdProcessCommandsInfoNVX const &()

VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator VkCmdProcessCommandsInfoNVX const & | ( |  | ) | const

inline

Definition at line 47203 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCmdProcessCommandsInfoNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator!= | ( | CmdProcessCommandsInfoNVX const & | rhs | ) | const

inline

Definition at line 47229 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator= | ( | VkCmdProcessCommandsInfoNVX const & | rhs | ) |

inline

Definition at line 47132 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CmdProcessCommandsInfoNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator== | ( | CmdProcessCommandsInfoNVX const & | rhs | ) | const

inline

Definition at line 47213 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectTable == rhs.objectTable )
&& ( indirectCommandsLayout == rhs.indirectCommandsLayout )
&& ( indirectCommandsTokenCount == rhs.indirectCommandsTokenCount )
&& ( pIndirectCommandsTokens == rhs.pIndirectCommandsTokens )
&& ( maxSequencesCount == rhs.maxSequencesCount )
&& ( targetCommandBuffer == rhs.targetCommandBuffer )
&& ( sequencesCountBuffer == rhs.sequencesCountBuffer )
&& ( sequencesCountOffset == rhs.sequencesCountOffset )
&& ( sequencesIndexBuffer == rhs.sequencesIndexBuffer )
&& ( sequencesIndexOffset == rhs.sequencesIndexOffset );
}

References indirectCommandsLayout, indirectCommandsTokenCount, maxSequencesCount, objectTable, pIndirectCommandsTokens, pNext, sequencesCountBuffer, sequencesCountOffset, sequencesIndexBuffer, sequencesIndexOffset, sType, and targetCommandBuffer.

Referenced by operator!=().

## setIndirectCommandsLayout()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setIndirectCommandsLayout | ( | IndirectCommandsLayoutNVX | indirectCommandsLayout_ | ) |

inline

Definition at line 47149 of file vulkan.hpp.

{
indirectCommandsLayout = indirectCommandsLayout_;
return *this;
}

References indirectCommandsLayout.

## setIndirectCommandsTokenCount()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setIndirectCommandsTokenCount | ( | uint32_t | indirectCommandsTokenCount_ | ) |

inline

Definition at line 47155 of file vulkan.hpp.

{
indirectCommandsTokenCount = indirectCommandsTokenCount_;
return *this;
}

References indirectCommandsTokenCount.

## setMaxSequencesCount()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setMaxSequencesCount | ( | uint32_t | maxSequencesCount_ | ) |

inline

Definition at line 47167 of file vulkan.hpp.

{
maxSequencesCount = maxSequencesCount_;
return *this;
}

References maxSequencesCount.

## setObjectTable()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setObjectTable | ( | ObjectTableNVX | objectTable_ | ) |

inline

Definition at line 47143 of file vulkan.hpp.

{
objectTable = objectTable_;
return *this;
}

References objectTable.

## setPIndirectCommandsTokens()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setPIndirectCommandsTokens | ( | const IndirectCommandsTokenNVX * | pIndirectCommandsTokens_ | ) |

inline

Definition at line 47161 of file vulkan.hpp.

{
pIndirectCommandsTokens = pIndirectCommandsTokens_;
return *this;
}

References pIndirectCommandsTokens.

## setPNext()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 47137 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSequencesCountBuffer()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setSequencesCountBuffer | ( | Buffer | sequencesCountBuffer_ | ) |

inline

Definition at line 47179 of file vulkan.hpp.

{
sequencesCountBuffer = sequencesCountBuffer_;
return *this;
}

References sequencesCountBuffer.

## setSequencesCountOffset()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setSequencesCountOffset | ( | DeviceSize | sequencesCountOffset_ | ) |

inline

Definition at line 47185 of file vulkan.hpp.

{
sequencesCountOffset = sequencesCountOffset_;
return *this;
}

References sequencesCountOffset.

## setSequencesIndexBuffer()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setSequencesIndexBuffer | ( | Buffer | sequencesIndexBuffer_ | ) |

inline

Definition at line 47191 of file vulkan.hpp.

{
sequencesIndexBuffer = sequencesIndexBuffer_;
return *this;
}

References sequencesIndexBuffer.

## setSequencesIndexOffset()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setSequencesIndexOffset | ( | DeviceSize | sequencesIndexOffset_ | ) |

inline

Definition at line 47197 of file vulkan.hpp.

{
sequencesIndexOffset = sequencesIndexOffset_;
return *this;
}

References sequencesIndexOffset.

## setTargetCommandBuffer()

CmdProcessCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::setTargetCommandBuffer | ( | CommandBuffer | targetCommandBuffer_ | ) |

inline

Definition at line 47173 of file vulkan.hpp.

{
targetCommandBuffer = targetCommandBuffer_;
return *this;
}

References targetCommandBuffer.

## Field Documentation

## indirectCommandsLayout

IndirectCommandsLayoutNVX VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::indirectCommandsLayout

Definition at line 47240 of file vulkan.hpp.

Referenced by operator==(), and setIndirectCommandsLayout().

## indirectCommandsTokenCount

uint32_t VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::indirectCommandsTokenCount

Definition at line 47241 of file vulkan.hpp.

Referenced by operator==(), and setIndirectCommandsTokenCount().

## maxSequencesCount

uint32_t VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::maxSequencesCount

Definition at line 47243 of file vulkan.hpp.

Referenced by operator==(), and setMaxSequencesCount().

## objectTable

ObjectTableNVX VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::objectTable

Definition at line 47239 of file vulkan.hpp.

Referenced by operator==(), and setObjectTable().

## pIndirectCommandsTokens

const IndirectCommandsTokenNVX* VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::pIndirectCommandsTokens

Definition at line 47242 of file vulkan.hpp.

Referenced by operator==(), and setPIndirectCommandsTokens().

## pNext

const void* VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::pNext = nullptr

Definition at line 47238 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sequencesCountBuffer

Buffer VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesCountBuffer

Definition at line 47245 of file vulkan.hpp.

Referenced by operator==(), and setSequencesCountBuffer().

## sequencesCountOffset

DeviceSize VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesCountOffset

Definition at line 47246 of file vulkan.hpp.

Referenced by operator==(), and setSequencesCountOffset().

## sequencesIndexBuffer

Buffer VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesIndexBuffer

Definition at line 47247 of file vulkan.hpp.

Referenced by operator==(), and setSequencesIndexBuffer().

## sequencesIndexOffset

DeviceSize VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesIndexOffset

Definition at line 47248 of file vulkan.hpp.

Referenced by operator==(), and setSequencesIndexOffset().

## sType

StructureType VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sType = StructureType::eCmdProcessCommandsInfoNVX

private

Definition at line 47235 of file vulkan.hpp.

Referenced by operator==().

## targetCommandBuffer

CommandBuffer VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::targetCommandBuffer

Definition at line 47244 of file vulkan.hpp.

Referenced by operator==(), and setTargetCommandBuffer().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::CmdProcessCommandsInfoNVX
CmdProcessCommandsInfoNVX(ObjectTableNVX objectTable_=ObjectTableNVX(), IndirectCommandsLayoutNVX indirectCommandsLayout_=IndirectCommandsLayoutNVX(), uint32_t indirectCommandsTokenCount_=0, const IndirectCommandsTokenNVX *pIndirectCommandsTokens_=nullptr, uint32_t maxSequencesCount_=0, CommandBuffer targetCommandBuffer_=CommandBuffer(), Buffer sequencesCountBuffer_=Buffer(), DeviceSize sequencesCountOffset_=0, Buffer sequencesIndexBuffer_=Buffer(), DeviceSize sequencesIndexOffset_=0)
Definition: vulkan.hpp:47104
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesIndexBuffer
Buffer sequencesIndexBuffer
Definition: vulkan.hpp:47247
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::objectTable
ObjectTableNVX objectTable
Definition: vulkan.hpp:47239
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::indirectCommandsTokenCount
uint32_t indirectCommandsTokenCount
Definition: vulkan.hpp:47241
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::maxSequencesCount
uint32_t maxSequencesCount
Definition: vulkan.hpp:47243
VkCmdProcessCommandsInfoNVX
Definition: vulkan_core.h:6846
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::targetCommandBuffer
CommandBuffer targetCommandBuffer
Definition: vulkan.hpp:47244
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::pNext
const void * pNext
Definition: vulkan.hpp:47238
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesCountOffset
DeviceSize sequencesCountOffset
Definition: vulkan.hpp:47246
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesIndexOffset
DeviceSize sequencesIndexOffset
Definition: vulkan.hpp:47248
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::operator==
bool operator==(CmdProcessCommandsInfoNVX const &rhs) const
Definition: vulkan.hpp:47213
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::pIndirectCommandsTokens
const IndirectCommandsTokenNVX * pIndirectCommandsTokens
Definition: vulkan.hpp:47242
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sType
StructureType sType
Definition: vulkan.hpp:47235
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::sequencesCountBuffer
Buffer sequencesCountBuffer
Definition: vulkan.hpp:47245
VULKAN_HPP_NAMESPACE::CmdProcessCommandsInfoNVX::indirectCommandsLayout
IndirectCommandsLayoutNVX indirectCommandsLayout
Definition: vulkan.hpp:47240